<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.common.mapper.UpdataLogMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.common.entity.UpdataLog">
                    <id column="ID" property="id" />
                    <result column="UPDATE_TIME" property="updateTime" />
                    <result column="UINT_ID" property="uintId" />
                    <result column="OPERATOR" property="operator" />
                    <result column="OPERATLOG" property="operatlog" />
                    <result column="ERRORLOG" property="errorlog" />
        </resultMap>

    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  updata_log
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>

<!--    <update id="updataAfterUploadcpl">
        UPDATE    "SYSDBA".#{tableName}
        SET updateTime =#{now}
        WHERE
        dataId = #{dataId}

    </update>

    <update id="updataAfterUpload">
        UPDATE    "SYSDBA".#{tableName}
        SET UPDATE_TIME =#{now}
        WHERE
            dataId =   #{dataId}

    </update>-->
</mapper>
